http:
  port: 49154
admin:
  port: 9878
  host: localhost
apiEndpoints:
  dealerAPI:
    paths: ['/searchById', '/updateMobile', '/checkMobile', '/updatePIN', '/dealerLogin', '/updateDealer', '/newDealer', '/sendOTP','/verifyOTP','/getAccessToken','/updateApkVersion','/getApkVersion','/getProfileInfo/*','/getAttachedList/*','/getSalesPersons/*','/getAvailableDealers/*','/tagDealerToSalesPerson','/taggedDealersList/*','/getSalesRepresentatives','/uploadQrCodeImage','/addQrCode','/updateQrcodeStatus']
  devicesAPI:
    paths: ['/getDevicesByStockType', '/getBundles/*', '/bundleInfo','/getBundleTypes']
  cartAPI:
    paths: ['/addToCart', '/getCartList/*', '/deleteCartItem','/addShippingAddress','/getShippingAddress','/updateShippingAddress','/deleteShippingAddress','/salesDispatch','/discount', '/getTcsValue', '/ssDispatchAddress','/ssDiscount','/clearCartList/*']
  orderAPI:
    paths: ['/createOrder', '/getOrderInfo/*', '/getTotalOrders/*', '/getInvoice', '/getInvoiceItems', '/cancelOrder','/orderTracking/*','/spstSalesOrder','/changeOrderStatus','/changeBundleStatus','/updateBundleSalePrice','/placeOrder',
            '/updateBundleItemSalePrice','/purchaseOrders/*','/purchaseOrderInfo/*','/purchaseBundleInfo','/createInvoice','/invoiceList/*','/soldOrders/*','/dispatchAddress/*','/addPayment','/orderPaymentInfo/*','/updatePaymentStatus','/updatePaymentToOrder','/purchaseBundlesList/*']
  paymentAPI:
    paths: ['/createPayment','/checkPayment', '/updateVoucher', '/addOffLinePayments','/addAccount','/accountsList/*','/updateAccount','/createVoucher','/vouchersList/*','/validVouchers/*','/updateVoucherValidity','/getVendorAccount/*', '/uploadQrPaymentImage', '/updatePaymentDetails','/paymentImageList/*','/getAttachedVendorQrCode/*','/getSloydQrCode']
  salesreturnAPI:
    paths: ['/addReturnItems','/salesReturns/*','/salesReturnItems/*','/returnsList/*', '/updateSalesReturn']
  uploadsAPI:
    paths: ['/qrcodeList/*']
serviceEndpoints:
  dealerServiceEndPoint:
    url: 'http://${USER_HOST}:${USER_PORT}/'
  deviceServiceEndPoint:
    url: 'http://${USER_HOST}:${DEVICES_PORT}/'
  cartServiceEndPoint:
    url: 'http://${USER_HOST}:${CART_PORT}/'
  orderServiceEndPoint:
    url: 'http://${USER_HOST}:${ORDER_PORT}/'
  paymentServiceEndPoint:
    url: 'http://${USER_HOST}:${PAYMENT_PORT}/'
  salesreturnServiceEndPoint:
    url: 'http://${USER_HOST}:${SALESRETURN_PORT}/'
  uploadServiceEndPoint:
    url: 'http://${USER_HOST}:${UPLOADS_PORT}/'
policies:
  - basic-auth
  - cors
  - key-auth
  - log
  - oauth2
  - proxy
  - jwt-auth
  - rate-limit
  - headers
  - expression
pipelines:
  default:
    apiEndpoints:
      - dealerAPI
    policies:
     # - jwt-auth:
      - proxy:
        - action:
            serviceEndpoint: dealerServiceEndPoint
            changeOrigin: true
  devices:
    apiEndpoints:
      - devicesAPI
    policies:
     # - jwt-auth:
      - proxy:
        - action:
            serviceEndpoint: deviceServiceEndPoint
            changeOrigin: true
  cart:
    apiEndpoints:
      - cartAPI
    policies:
     # - jwt-auth:
      - proxy:
        - action:
            serviceEndpoint: cartServiceEndPoint
            changeOrigin: true
  orders:
    apiEndpoints:
      - orderAPI
    policies:
     # - jwt-auth:
      - proxy:
        - action:
            serviceEndpoint: orderServiceEndPoint
            changeOrigin: true
  payments:
    apiEndpoints:
      - paymentAPI
    policies:
    #  - jwt-auth:
      - proxy:
        - action:
            serviceEndpoint: paymentServiceEndPoint
            changeOrigin: true
  salesreturns:
    apiEndpoints:
      - salesreturnAPI
    policies:
      #- jwt-auth:
      - proxy:
        - action:
            serviceEndpoint: salesreturnServiceEndPoint
            changeOrigin: true
  uploads:
    apiEndpoints:
      - uploadsAPI
    policies:
      #- jwt-auth:
      - proxy:
        - action:
            serviceEndpoint: uploadServiceEndPoint
            changeOrigin: true
    
      
      
        
